import { jsx as _jsx } from "react/jsx-runtime";
// (C) 2007-2025 GoodData Corporation
import cx from "classnames";
/**
 * @internal
 */
export function NoData({ className, hasNoMatchingData, notFoundLabel, noDataLabel }) {
    const classNames = cx("gd-no-data", {
        "gd-no-matching-data": hasNoMatchingData,
        "gd-no-data-available": !hasNoMatchingData,
    }, className);
    return _jsx("div", { className: classNames, children: hasNoMatchingData ? notFoundLabel : noDataLabel });
}
